.\" DAL DaGetDefAM(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETDEFAM "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetDefAM \- module access method control
.SH SYNOPSIS
.B METHOD DaGetDefAM(HANDLE \fIhandle\fB);
.SH DESCRIPTION
Get curren access method for the register accessing. Possible access methods
are \fBIOCTL\fR, \fBIOMMAP\fR or \fBIODMA\fR.
.SH RETURN VALUE
.TP
.B Current default access method
- One of \fBIOCTL\fR, \fBIOMMAP\fR or \fBIODMA\fR
.TP
.B -DA_ERR_BAD_HANDLE
- provided library \fIhandle\fR is bad
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.P
See \fBDaGetErrCode\fR(3) for more information about all possible \fBda_err_t\fR
values.
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
